/**
 * Returns a formatter based on the given locale.
 *
 * The formatter automatically receives the request config, but
 * you can override it by passing in additional options.
 */
declare const getFormatter: (opts?: {
    locale: string;
}) => Promise<{
    dateTime: (value: number | Date, formatOrOptions?: string | import("use-intl/dist/src/core/DateTimeFormatOptions").default | undefined) => string;
    number: (value: number | bigint, formatOrOptions?: string | import("use-intl/dist/src/core").NumberFormatOptions | undefined) => string;
    relativeTime: (date: number | Date, now?: number | Date | undefined) => string;
    list: (value: Iterable<string>, formatOrOptions?: string | Intl.ListFormatOptions | undefined) => string;
}>;
export default getFormatter;
