/* eslint-disable import/default */
import { cache } from 'react';
import createBaseTranslator, { getMessagesOrError } from 'use-intl/dist/src/core/createBaseTranslator';
import getConfig from './getConfig';
import getLocaleFromHeader from './getLocaleFromHeader';
let hasWarned = false;
async function getTranslationsImpl(namespace) {
    if (!hasWarned) {
        console.warn(`
\`getTranslations\` is deprecated, please switch to \`getTranslator\`.

Learn more: https://next-intl-docs.vercel.app/docs/next-13/server-components#using-internationalization-outside-of-components
  `);
        hasWarned = true;
    }
    const locale = getLocaleFromHeader();
    const config = await getConfig(locale);
    const messagesOrError = getMessagesOrError({
        messages: config.messages,
        namespace,
        onError: config.onError
    });
    // We allow to resolve rich text formatting here, but the types forbid it when
    // `getTranslations` is used directly. Supporting rich text is important when
    // the react-server implementation calls into this function.
    // @ts-ignore
    return createBaseTranslator({
        ...config,
        namespace,
        messagesOrError
    });
}
export default cache(getTranslationsImpl);
//# sourceMappingURL=getTranslations.js.map