/* eslint-disable import/default */
import { cache } from 'react';
import createBaseTranslator, { getMessagesOrError } from 'use-intl/dist/src/core/createBaseTranslator';
import getConfig from './getConfig';
async function getTranslatorImpl(opts) {
    const config = await getConfig(opts.locale);
    const messagesOrError = getMessagesOrError({
        messages: config.messages,
        namespace: opts.namespace,
        onError: config.onError
    });
    // We allow to resolve rich text formatting here, but the types forbid it when
    // `getTranslations` is used directly. Supporting rich text is important when
    // the react-server implementation calls into this function.
    // @ts-ignore
    return createBaseTranslator({
        ...config,
        ...opts,
        messagesOrError
    });
}
export default cache(getTranslatorImpl);
//# sourceMappingURL=getTranslator.js.map